WordPress.org

Support

Support » How-To and Troubleshooting » Upgrade to 2.7.1 failed

Upgrade to 2.7.1 failed

  • Hello –

    I used Tools > Upgrade – but got the error messages below. Can anyone tell me what I need to do? Thanks very much in advance.

    Patty

    Warning: touch() [function.touch]: Unable to create file d:\inetpub\thepattysite\blog/wp-content/1235229887 because Permission denied in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 174

    Warning: fileowner() [function.fileowner]: Stat failed for d:\inetpub\thepattysite\blog/wp-content/1235229887 (errno=2 – No such file or directory) in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 628

    Warning: unlink(d:\inetpub\thepattysite\blog/wp-content/1235229887) [function.unlink]: No such file or directory in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 630

    Warning: touch() [function.touch]: Unable to create file d:\inetpub\thepattysite\blog/wp-content/1235229887 because Permission denied in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 174

    Warning: fileowner() [function.fileowner]: Stat failed for d:\inetpub\thepattysite\blog/wp-content/1235229887 (errno=2 – No such file or directory) in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 628

    Warning: unlink(d:\inetpub\thepattysite\blog/wp-content/1235229887) [function.unlink]: No such file or directory in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 630

    Warning: touch() [function.touch]: Unable to create file d:\inetpub\thepattysite\blog/wp-content/wordpress-271.zip because Permission denied in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 174

    Download failed.: Could not create Temporary file

    Installation Failed

Viewing 14 replies - 1 through 14 (of 14 total)
  • Have you tried to disable all the plugins before doing the upgrade?

    No, I haven’t – didn’t know about that. I’ll try it. Thanks!

    Patty

    I disabled all plugins and tried again, but the installation still failed. The error messages all pertain to “Permission denied” and “No such file or directory”. “Download failed – could not create temporary file.”

    I’m pasting those error messages below. Any help much appreciated!

    Patty

    Warning: touch() [function.touch]: Unable to create file d:\inetpub\thepattysite\blog/wp-content/1236954261 because Permission denied in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 174

    Warning: fileowner() [function.fileowner]: Stat failed for d:\inetpub\thepattysite\blog/wp-content/1236954261 (errno=2 – No such file or directory) in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 628

    Warning: unlink(d:\inetpub\thepattysite\blog/wp-content/1236954261) [function.unlink]: No such file or directory in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 630

    Warning: touch() [function.touch]: Unable to create file d:\inetpub\thepattysite\blog/wp-content/1236954261 because Permission denied in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 174

    Warning: fileowner() [function.fileowner]: Stat failed for d:\inetpub\thepattysite\blog/wp-content/1236954261 (errno=2 – No such file or directory) in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 628

    Warning: unlink(d:\inetpub\thepattysite\blog/wp-content/1236954261) [function.unlink]: No such file or directory in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 630

    Upgrade WordPress

    Downloading update from http://wordpress.org/wordpress-2.7.1.zip

    Warning: touch() [function.touch]: Unable to create file d:\inetpub\thepattysite\blog/wp-content/wordpress-271.zip because Permission denied in d:\inetpub\thepattysite\blog\wp-admin\includes\file.php on line 174

    Download failed.: Could not create Temporary file

    Installation Failed

    Well it seems to be telling you that you have no permission to write to

    d:\inetpub\thepattysite\blog/wp-content/

    Now it looks like you are using IIS as your server, wordpress is expecting a unix platform by the looks of it.

    I suggest you do a manual update to avoid any problems. Or at least check the permissions but I cant see how the upgrade would work if the wordpress upgrade is designed for unix platforms.

    [Edited by me]

    Thank you “Hotkee”. In the documentation, I’m reading that there should be no problems hosting WordPress on an IIS server, and my current installation of 2.7 works fine. I can’t find any information on there being a problem with 2.7.1 and IIS.

    Can you tell me more or point me to any more info?

    Patty

    No I am not saying it cant be used – if from what you described before, the message appears

    d:\inetpub\thepattysite\blog/wp-content/wordpress-271.zip

    thats confused backslashes, forward slashes is a mixture of windows which uses backslashes, unix uses forward slashes.

    Windows does work with forward slashes too but natural form is backslashes. The upgrade should work in theory therefore.

    But your error is that you have no permission to write to one of the folders, or the user you are logged into windows is not abled to write to d:\inetpub\thepattysite\blog/wp-content/

    You need to check your permissions for that folder.

    Fix the permissions, then try auto update, but I personally prefer manual updating.

    Ok, thank you. I have no idea why the forward slashes appear in those paths.

    Will try changing permissions.

    Patty

    No luck so far with changing permissions and using the automatic upgrade. I will try a manual upgrade, but first need to make a backup.

    It often seems like looking for answers in the Codex only leads to more questions. Plenty of information, but very hard to sort through, at least for me!

    Patty

    I get the exact same error.
    I’ve suspected for a while that it’s because I overwrote something on my hosting server (Godaddy, IIS) with something from my local machine (local windows server, IIS) while doing a mass “put” from dreamweaver. But I’m unable to locate the offending config file…

    Having just had the same problem upgrading a new 2.8 install to 2.8.1 I found that granting the Internet Guest Account (typically IUSR_computername modify access to the wordpress directory (in the Original post this would be d:\inetpub\thepattysite\blog\) seems to fix this problem.
    I would remove these permissions once you are done though.

    So,

    I’m getting this exact issue but ,my server most definately is a Unix server!

    Weird … any ideas any one?

    I agree with absoblogginlutely.
    I run on a windows server using IIS and I have been trying to modify permissions only in the appropriate folders by adding write permission only.
    This allowed the new plugin to be written to my folder, however I too was still having failures in [function_unlink] due to not being able to unlink the writetest file.

    I had a thought, I’ll allow Full Control to IUSR_computername to folder /wp-content (with replacing permissions to all child objects).

    Lo and behold it all works now

    Try this, worked fine for me.

    @jehy
    Yes! Thank you for this great solution!

Viewing 14 replies - 1 through 14 (of 14 total)
  • The topic ‘Upgrade to 2.7.1 failed’ is closed to new replies.
Skip to toolbar